from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
index.describe_import(id="101")
{
"id": "101",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"status": "Pending",
"created_at": "2024-08-19T20:49:00.754Z",
"finished_at": "2024-08-19T20:49:00.754Z",
"percent_complete": 42.2,
"records_imported": 1000000
}
Imports
Describe an import
Return details of a specific import operation.
For guidance and examples, see Import data.
GET
/
bulk
/
imports
/
{id}
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
index.describe_import(id="101")
{
"id": "101",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"status": "Pending",
"created_at": "2024-08-19T20:49:00.754Z",
"finished_at": "2024-08-19T20:49:00.754Z",
"percent_complete": 42.2,
"records_imported": 1000000
}
This feature is in public preview and available only on Standard and Enterprise plans.
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
index.describe_import(id="101")
{
"id": "101",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"status": "Pending",
"created_at": "2024-08-19T20:49:00.754Z",
"finished_at": "2024-08-19T20:49:00.754Z",
"percent_complete": 42.2,
"records_imported": 1000000
}
Authorizations
Path Parameters
Unique identifier for the import operation.
Required string length:
1 - 1000Response
Details of the import operation.
The model for an import operation.
Unique identifier for the import operation.
Required string length:
1 - 1000Example:
"101"
The URI from where the data is imported.
The status of the operation.
Available options:
Pending, InProgress, Failed, Completed, Cancelled Example:
"Pending"
The start time of the import operation.
The end time of the import operation.
The progress made by the operation, as a percentage.
Required range:
0 <= x <= 100Example:
42.2
The number of records successfully imported.
Example:
1000000
The error message if the import process failed.
Was this page helpful?
⌘I